package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @author wangfeng
 * @Description: 核查类型
 * @date 2018年11月21日 下午2:31:42
 */
public enum CheckTypeEnum implements KeyedNamed {
    PASSED(0, "通过"),
    REJECTED(1, "驳回");

    @Setter
    private int key;

    @Setter
    private String name;

    CheckTypeEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static CheckTypeEnum getEnum(int key) {
        for (CheckTypeEnum item : CheckTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        CheckTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}

